variables:
  COLUMNS: 200
  UNFURL_REF: testing # latest
  UNFURL_LOGGING: trace
  UNFURL_PACKAGE_RULES: >
    gitlab.com/onecommons/* $CI_SERVER_URL/onecommons/*#main
    unfurl.cloud/onecommons/* $CI_SERVER_URL/onecommons/*#main

unit:
  stage: test
  image:
    name: ghcr.io/onecommons/unfurl:$UNFURL_REF
  script:
    - pip install mypy
    - git config --global user.email "$GITLAB_USER_EMAIL"
    - git config --global user.name "$GITLAB_USER_NAME"
    - pytest . -s -vv
